読者です 読者をやめる 読者になる 読者になる

YAMAGUCHI::weblog

土足で窓から失礼いたします。今日からあなたの息子になります。 当年とって92歳、下町の発明王、エジソンです。

CRITICAL: cannot initialize libpolkit

Ubuntu

現象

/var/log/syslogを見てみたら10分おきにエラーメッセージが出てた。

Dec 27 10:40:01 xxxxx console-kit-daemon[22376]: CRITICAL: cannot initialize libpolkit
Dec 27 10:50:01 xxxxx console-kit-daemon[22463]: CRITICAL: cannot initialize libpolkit 

対処方法

CRITICALなんて出てるんでびびって調べてみた。対処方法は下記の通り。

$ sudo apt-get install policykit

原因

PolicyKitとは

Wikipediaに出てた。びっくり。権限とかを細かく管理できるんですね。どうりでcron周りでエラーが出てたわけだ。

libpolkit

デフォルトだとlibpolkitとPolicyKitは関連パッケージとして入らないのに、依存関係はあるいというのが原因でした。この辺をざっと眺めただけですけどね。